# Generated by Django 4.2.13 on 2024-05-24 19:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('armadilha', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Relatorio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nivel_bateria', models.DecimalField(decimal_places=2, max_digits=5)),
                ('nivel_agua', models.DecimalField(decimal_places=2, max_digits=5)),
                ('temperatura', models.DecimalField(decimal_places=2, max_digits=5)),
                ('latitude', models.DecimalField(decimal_places=6, max_digits=9)),
                ('longitude', models.DecimalField(decimal_places=6, max_digits=9)),
                ('qtd_larvas', models.IntegerField()),
                ('data_hora', models.DateTimeField()),
                ('imagem', models.BinaryField()),
                ('data_hora_descarga', models.DateTimeField()),
                ('armadilha', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='armadilha.armadilha')),
            ],
        ),
    ]
